> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Search deposit addresses by different fields

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /deposit-addresses/search
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/search:
    get:
      tags:
        - depositAddresses
      summary: Search deposit addresses by different fields
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.searchDepositAddress
      parameters:
        - name: addressNote
          in: query
          schema:
            type: string
            description: >-
              Optional note or label for the deposit address (max 80
              characters).
            title: maxLength(80)
            maxLength: 80
          required: false
          description: Optional note or label for the deposit address (max 80 characters).
        - name: depositChain
          in: query
          schema:
            type: string
            description: >-
              The blockchain network identifier where the deposit address is
              located.
            title: nonEmptyString
            minLength: 1
          required: false
          description: >-
            The blockchain network identifier where the deposit address is
            located.
        - name: destinationChain
          in: query
          schema:
            type: string
            description: >-
              The blockchain network identifier where bridged tokens will be
              sent.
            title: nonEmptyString
            minLength: 1
          required: false
          description: The blockchain network identifier where bridged tokens will be sent.
        - name: destinationAddress
          in: query
          schema:
            allOf:
              - $ref: '#/components/schemas/NonEmptyString'
            description: >-
              The destination address where bridged tokens will be sent
              (optional).
          required: false
          description: >-
            The destination address where bridged tokens will be sent
            (optional).
        - name: pageToken
          in: query
          schema:
            $ref: '#/components/schemas/NonEmptyString'
          required: false
        - name: pageSize
          in: query
          schema:
            type: string
            description: a string to be decoded into a number
          required: false
          description: a string to be decoded into a number
      responses:
        '200':
          description: SearchDepositAddressResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchDepositAddressResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: InvalidRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequest'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    SearchDepositAddressResponse:
      type: object
      required:
        - nextPageToken
        - items
      properties:
        nextPageToken:
          anyOf:
            - $ref: '#/components/schemas/NonEmptyString'
            - type: 'null'
          description: Token for the next page of results, null if no more pages.
        items:
          type: array
          items:
            type: object
            required:
              - depositChain
              - depositAddress
              - destinationChain
              - userId
            properties:
              depositChain:
                type: string
                description: >-
                  The blockchain network identifier where the deposit address is
                  located.
                title: nonEmptyString
                minLength: 1
              depositAddress:
                type: string
                description: The generated deposit address where users should send tokens.
                title: nonEmptyString
                minLength: 1
              destinationChain:
                type: string
                description: >-
                  The blockchain network identifier where bridged tokens will be
                  sent.
                title: nonEmptyString
                minLength: 1
              destinationAddress:
                $ref: '#/components/schemas/NonEmptyString'
              addressNote:
                type: string
                description: a string at most 80 character(s) long
                title: maxLength(80)
                maxLength: 80
              postBridgeData:
                anyOf:
                  - $ref: '#/components/schemas/ExtendedPostBridgeData'
                  - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
                  - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                  - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                  - $ref: >-
                      #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                  - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                  - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
                  - $ref: '#/components/schemas/MapleDepositPostBridgeData'
              tokenOut:
                type: string
              refundAddress:
                $ref: '#/components/schemas/NonEmptyString'
              bridgeIfNotSwappable:
                type: boolean
              _tag:
                type: string
                enum:
                  - legacy
              userId:
                type: string
              webhookUrl:
                $ref: '#/components/schemas/NonEmptyString'
            additionalProperties: false
          description: Array of deposit addresses matching the search criteria.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    ExtendedPostBridgeData:
      type: object
      required:
        - _tag
        - vaultId
      properties:
        _tag:
          type: string
          enum:
            - extended
        vaultId:
          $ref: '#/components/schemas/NonNegativeInt'
      additionalProperties: false
    StarkwareBtcfiCampaignPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfi
      additionalProperties: false
    WirexWrapPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrap
      additionalProperties: false
    WirexWrapSandboxPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrapsandbox
      additionalProperties: false
    StarkwareBtcfiCampaignV2PostBridgeData:
      type: object
      required:
        - _tag
        - spans
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfiv2
        spans:
          type: array
          items:
            $ref: '#/components/schemas/StarknetFelt'
          description: an array of at most 70 item(s)
          title: maxItems(70)
          maxItems: 70
      additionalProperties: false
    AaveV3SupplyPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - aavev3supply
      additionalProperties: false
    RocketFoundationDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - rocketfoundationdeposit
      additionalProperties: false
    MapleDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - mapledeposit
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonNegativeInt:
      type: integer
      description: an integer
      title: int
      minimum: 0
    StarknetFelt:
      type: string
      description: a string that will be trimmed
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````